ru.bitel.bgbilling.kernel.admin.webmenu.server.bean

## Class WebMenuDao

- java.lang.Object
- - ru.bitel.common.dao.AbstractDao<B>
  - - ru.bitel.common.dao.AbstractIdDao<WebMenuItem>
    - - ru.bitel.bgbilling.kernel.admin.webmenu.server.bean.WebMenuDao

- All Implemented Interfaces:
    java.lang.AutoCloseable

      public class WebMenuDao
      extends ru.bitel.common.dao.AbstractIdDao<WebMenuItem>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class ru.bitel.common.dao.AbstractDao

      `ru.bitel.common.dao.AbstractDao.ResultSetIterator`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `TABLE_CONTRACT_WEB_MENU`

    - ### Fields inherited from class ru.bitel.common.dao.AbstractDao

      `cacheFilter, cacheJoin, cacheOrderBy, cachePaged, cachePS, cacheWhat, con, getByIdPS, logger, mid, moduleId, orderByPattern, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_LIMIT, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_WHERE, tableName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WebMenuDao(java.sql.Connection con)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `deleteData(int webMenuItemId)`
    `java.util.Map<java.lang.Integer,java.lang.Integer>` | `getContractCount()`
    `java.lang.String` | `getData(int webMenuItemId)`
    `protected WebMenuItem` | `getFromRS(java.sql.ResultSet rs)`
    `int` | `getWebMenuIdForContract(int contractId)`
    `java.util.List<WebMenuItem>` | `list()`
    `void` | `setWebMenuIdForContract(int webMenuItemId, int contractId)`
    `void` | `updateData(int webMenuItemId, java.lang.String data)`
    `protected void` | `updateImpl(WebMenuItem webMenuItem)` Этот метод каждый реализует сам со своей логикой.
    `WebMenuItem` | `updateInfo(WebMenuItem webMenuItem)`

    - ### Methods inherited from class ru.bitel.common.dao.AbstractIdDao

      `delete, get, getAndDelete, getAndUpdate`

    - ### Methods inherited from class ru.bitel.common.dao.AbstractDao

      `close, delete, deleteImpl, eq, get, getById, getImpl, getListFromRS, getSQLOrder, getSQLOrder, getTableName, list, list, listImpl, listImpl, listImplPS, listImplPS, processException, recycle, setStatementParam, update`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TABLE_CONTRACT_WEB_MENU

          public static final java.lang.String TABLE_CONTRACT_WEB_MENU

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### WebMenuDao

          public WebMenuDao(java.sql.Connection con)

  - ### Method Detail

    - #### getWebMenuIdForContract

          public int getWebMenuIdForContract(int contractId)
                                      throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### setWebMenuIdForContract

          public void setWebMenuIdForContract(int webMenuItemId,
                                              int contractId)
                                       throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getData

          public java.lang.String getData(int webMenuItemId)
                                   throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### deleteData

          public void deleteData(int webMenuItemId)
                          throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### list

          public java.util.List<WebMenuItem> list()
                                           throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getContractCount

          public java.util.Map<java.lang.Integer,java.lang.Integer> getContractCount()
                                                                              throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### updateInfo

          public WebMenuItem updateInfo(WebMenuItem webMenuItem)
                                 throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### updateData

          public void updateData(int webMenuItemId,
                                 java.lang.String data)
                          throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getFromRS

          protected WebMenuItem getFromRS(java.sql.ResultSet rs)
                                   throws java.sql.SQLException,
                                          ru.bitel.bgbilling.common.BGException

      Specified by:
        `getFromRS` in class `ru.bitel.common.dao.AbstractDao<WebMenuItem>`
      Throws:
        `java.sql.SQLException`
        `ru.bitel.bgbilling.common.BGException`

    - #### updateImpl

          protected void updateImpl(WebMenuItem webMenuItem)
                             throws ru.bitel.bgbilling.common.BGException,
                                    java.sql.SQLException

      Description copied from class: `ru.bitel.common.dao.AbstractDao`
      Этот метод каждый реализует сам со своей логикой.
      Для обновления вызывать update.
      Specified by:
        `updateImpl` in class `ru.bitel.common.dao.AbstractDao<WebMenuItem>`
      Parameters:
        `webMenuItem` - экземпляр модели
      Throws:
        `ru.bitel.bgbilling.common.BGException` - ошибки
        `java.sql.SQLException` - ошибки